<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
    $act = check($_GET['act']);
} else {
    $act = 'index';
} 
if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 
if (empty($_GET['uz'])) {
    $uz = check($log);
} else {
    $uz = check($_GET['uz']);
} 

show_title('site.png', 'Блоги');
$config['newtitle'] = 'Блоги - Список разделов';

switch ($act):
# ###########################################################################################
# #                                    Главная страница                                    ##
# ###########################################################################################
case 'index':

    $queryblog = DB :: $dbh -> query("SELECT * FROM `catsblog` ORDER BY `cats_order` ASC;");
    $blogs = $queryblog -> fetchAll();

    if (count($blogs) > 0) {
        echo '<a href="#down"><img src="../images/img/downs.gif" alt="Вниз" /></a> ';

        if (is_user()) {
            echo 'Мои: <a href="active.php?act=blogs&amp;' . SID . '">статьи</a>, <a href="active.php?act=comments&amp;' . SID . '">комментарии</a> / ';
        } 

        echo 'Новые: <a href="new.php?act=blogs&amp;' . SID . '">статьи</a>, <a href="new.php?act=comments&amp;' . SID . '">комментарии</a><hr />';

        foreach($blogs as $key => $data) {
            echo '<img src="../images/img/dir.gif" alt="image" /> ';
            echo '<b><a href="blog.php?cid=' . $data['cats_id'] . '&amp;' . SID . '">' . $data['cats_name'] . '</a></b> (' . $data['cats_count'] . ')<br />';
        } 

        echo '<br /><a href="#up"><img src="../images/img/ups.gif" alt="Вверх" /></a> ';
        echo '<a href="top.php?' . SID . '">Топ статей</a> / ';
        echo '<a href="tags.php?' . SID . '">Облако тегов</a> / ';
        echo '<a href="search.php?' . SID . '">Поиск</a> / ';
        echo '<a href="blog.php?act=blogs&amp;' . SID . '">Все статьи</a> / ';
        echo '<a href="blog.php?act=new&amp;' . SID . '">Написать</a><br />';
    } else {
        show_error('Разделы блогов еще не созданы!');
    } 
    break;

default:
    header("location: index.php?" . SID);
    endswitch;

    echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

    include_once ("../themes/" . $config['themes'] . "/foot.php");

    ?>